Object subclass: #MinimalObject
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Actalk-Kernel-Encapsulator'!
MinimalObject comment:
'Class MinimalObject purpose is to create a minimal version of class Object with the only very necessary methods for Smalltalk system to still work with such objects (instances of subclasses of MinimalObject).
Message passing to Actalk actors (instances of class Actor) relies on a doesNotUnderstand: trick. We assume that the message is unknown by class Actor in order to trigger the unknow message error. In order to strengthen this assumption it is better to have a minimum set of messages actually known by class Actor. Consequently class Actor is defined as a subclass of class MinimalObject and not of class Object as usually. (Note that classes of Future objects also inherit from class MinimalObject for the same reason/trick).

Currently, to ease the process, and because conflicts are actually rare, MinimalObject is simply a subclass of class Object.'!

